pages:
  image:
    name: marpteam/marp-cli
    entrypoint: [""]
  before_script:
    - npm i --production
  script:
    - mkdir -p public/assets
    - cp -r ./assets public
    - rm README.md
    - export MARP_USER="$(id -u):$(id -g)"
    - /home/marp/.cli/docker-entrypoint -I . --config ./.marprc.yml --engine ./marp.config.js -o public/
    - /home/marp/.cli/docker-entrypoint -I . --config ./.marprc.yml --engine ./marp.config.js --pdf -o public/
  artifacts:
    paths:
      - "public/"
  environment:
    name: pages/$CI_COMMIT_REF_NAME
    url: https://rwth-crmasters-sose22.gitlab.io/-/templates/slide-template/-/jobs/$CI_JOB_ID/artifacts/public/template.html
